GLM_GTX_fast_exponential: Fast exponentiation functions

- Main Page
- Modules
- Namespaces
- Classes
- Files

Functions

# GLM_GTX_fast_exponential: Fast exponentiation functions

GTX Extensions (Experimental)

Fast but less accurate implementations of exponential based functions. More...

## Functions

template<typename T >
T | fastExp (const T &x)
template<typename T >
T | fastExp2 (const T &x)
template<typename T >
T | fastLn (const T &x)
template<typename T >
T | fastLog (const T &x)
template<typename T >
T | fastLog2 (const T &x)
template<typename valType >
valType | fastPow (valType const &x, valType const &y)
template<typename T , typename U >
T | fastPow (const T &x, const U &y)

## Detailed Description

Fast but less accurate implementations of exponential based functions.

<glm/gtx/fast_exponential.hpp> need to be included to use these functionalities.

## Function Documentation

T glm::gtx::fast_exponential::fastExp | ( | const T & | x | ) |

Faster than the common exp function but less accurate.

From GLM_GTX_fast_exponential extension.

T glm::gtx::fast_exponential::fastExp2 | ( | const T & | x | ) |

Faster than the common exp2 function but less accurate.

From GLM_GTX_fast_exponential extension.

T glm::gtx::fast_exponential::fastLn | ( | const T & | x | ) |

Faster than the common ln function but less accurate.

From GLM_GTX_fast_exponential extension.

T glm::gtx::fast_exponential::fastLog | ( | const T & | x | ) |

Faster than the common log function but less accurate.

From GLM_GTX_fast_exponential extension.

T glm::gtx::fast_exponential::fastLog2 | ( | const T & | x | ) |

Faster than the common log2 function but less accurate.

From GLM_GTX_fast_exponential extension.

valType glm::gtx::fast_exponential::fastPow | ( | valType const & | x,
|  | valType const & | y
| ) |  |

Faster than the common pow function but less accurate.

From GLM_GTX_fast_exponential extension.

T glm::gtx::fast_exponential::fastPow | ( | const T & | x,
|  | const U & | y
| ) |  |

Faster than the common pow function but less accurate.

From GLM_GTX_fast_exponential extension.